%define srcname pykickstart

Name:		python-kickstart
Version: 1.77
Release: %mkrel 4
Summary:	A python library for manipulating kickstart files
License:	GPLv2
Group:		Development/Python
# This is a Red Hat maintained package. Thus the source is only available from
# within the srpm:
# http://download.fedora.redhat.com/pub/fedora/linux/development/source/SRPMS/
# or git git://git.fedorahosted.org/git/pykickstart.git
Source0:	%{srcname}-%{version}.tar.gz
Patch10: pykickstart-1.77-post-packages.patch
Url:		http://fedoraproject.org/wiki/pykickstart
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	gettext
BuildArch:	noarch
Requires: python, python-urlgrabber

%description
The python-kickstart package is a python library for manipulating kickstart files.

%prep
%setup -q -n %{srcname}-%{version}
%patch10 -p1

%build
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{srcname}

%clean
rm -rf %{buildroot}

%files -f %{srcname}.lang
%defattr(-,root,root,-)
%doc README ChangeLog COPYING docs/programmers-guide
%doc docs/kickstart-docs.txt
%{python_sitelib}/*
%{_bindir}/ksvalidator
%{_bindir}/ksflatten
%{_bindir}/ksverdiff


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.77-4.mga4
+ Revision: 543757
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.77-3.mga4
+ Revision: 498829
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.77-2.mga3
+ Revision: 379038
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 04 2011 anaselli <anaselli> 1.77-1.mga2
+ Revision: 175971
- imported package python-kickstart

